#version 330

in vec2 TexCoord;
out vec4 out_Color;

uniform sampler2D TexSampler;

void main()
{
	vec2 finalCoord = TexCoord;
	finalCoord.y = 1.0 - finalCoord.y;
	vec4 color = texture2D( TexSampler, finalCoord );
	
	out_Color = color;
}